Create webhook endpoint
Create a new webhook endpoint. The response includes the signing secret which is only returned once.
Create a new webhook endpoint. The response includes the signing secret which is only returned once.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Header Parameters
Idempotency-Key?string
Unique key used to safely retry this write for 24 hours without applying it twice.
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url*string
Format
uriLength
1 <= lengthevents*array<>
Items
1 <= itemsdescription?string
apiVersion?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "subscription.created" ] }'{ "id": "string", "url": "string", "events": [ "string" ], "description": "string", "isActive": true, "apiVersion": "string", "createdAt": "2019-08-24T14:15:22Z", "secretKey": "string", "object": "webhook", "livemode": true}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}